# Initialize EOSIO Side

Now we are going to start the interval that runs all of the bridge logic.

Locate the init action on your EOSIO atomictokenpeg1155 contract

`sister_address` and `sister_msig_address` will be the atomictokenpeg1155 bridge contract (***not the account***) on the EVM side.

`sister_chain_name` is `rinkeby`

The `token_contract` will be your token contract name on the EOSIO side `bridgeassets` in this case, `atomicassets` in production.

`10000` is `1.0000 TKN` for the `min_transfer`.

We do not allow the contract to issue tokens because we are assuming the original token contract exists on the Kylin side.

![](/files/-MlPzBhIhMT1vKR3TtYB)

Login with blok's cleos option with your tokenpeg EOSIO account

![](/files/-Ma0RqI8Cw7QoB0rXRMa)

Select the `active` permission level.

By clicking the `Submit Transaction` the cleos command will be autopopulated for you

{% hint style="warning" %}
If you use the command below, be sure to update the settings like account, addresses, token contract, etc.
{% endhint %}

```
# cleos -u http://kylin-dsp-2.liquidapps.io/ push transaction '{
  "delay_sec": 0,
  "max_cpu_usage_ms": 0,
  "actions": [
    {
      "account": "elevenbridge",
      "name": "init",
      "data": {
        "sister_address": "0x5d04b64b5987f6a1E940C25307BaE65E4Cf5B340",
        "sister_msig_address": "0x5d04b64b5987f6a1E940C25307BaE65E4Cf5B340",
        "sister_chain_name": "rinkeby",
        "this_chain_name": "kylin",
        "processing_enabled": true,
        "token_contract": "bridgeassets",
        "transfers_enabled": true,
        "can_issue": false
      },
      "authorization": [
        {
          "actor": "elevenbridge",
          "permission": "active"
        }
      ]
    }
  ]
}'
```

Now we're ready to test the bridge!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/cross-chain-bridges/getting-started-with-liquidbridge/eosio-atomic-assets-less-than-greater-than-erc1155-non-fungible-tokens/initialize-eosio-side.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
